MONGOC_APM_TOPOLOGY_CHANGED_GET_TOPOLOGY_ID(3)

NAME
mongoc_apm_topology_changed_get_topology_id - mongoc_apm_topology_changed_get_topology_id()

SYNOPSIS

        void
        mongoc_apm_topology_changed_get_topology_id (
           const mongoc_apm_topology_changed_t *event, bson_oid_t *topology_id);

Returns this event's topology id.

PARAMETERS

    •   event: A mongoc_apm_topology_changed_t.

    •   topology_id: A bson_oid_t to receive the event's topology_id.

RETURNS

The event's topology id.

SEE ALSO:
        Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc